require 'jcode'

module Acts
  module AsRandom

    def self.included(base)
      base.extend AddActsAsMethod
    end

    module AddActsAsMethod
      def acts_as_random(options = {})
        class_eval <<-END
           include Acts::AsRandom::InstanceMethods
        END
      end
    end

    # Istance methods
    module InstanceMethods

      def self.included(aClass)
        aClass.extend ClassMethods
      end

      def before_create
        #id = 0
        #self.to_s.each_char {|l| id+= rand(l[0])}
        id = rand(1000000)
        while self.class.exists?(id) do
          #id = 0
          #self.to_s.each_char {|l| id+= rand(l[0])}
          id = rand(1000000)
        end
        self.id = id
      end

      module ClassMethods
        # Metody klasowe
      end
    end
  end
end
